Manifest-Version: 1.0
Ant-Version: Apache Ant 1.10.9
Created-By: 1.8.0_381 (Oracle Corporation)
Bnd-LastModified: 1749226246744
Bundle-ClassPath: .,lib/classmate-1.4.0.jar,lib/jackson-dataformat-xml
 -2.9.8.jar,lib/jackson-dataformat-yaml-2.9.8.jar,lib/jackson-datatype
 -jdk8-2.9.8.jar,lib/jackson-jaxrs-xml-provider-2.9.8.jar,lib/jackson-
 module-jaxb-annotations-2.9.8.jar,lib/failureaccess-1.0.1.jar,lib/gua
 va-30.1.1-jre.jar,lib/graphql-java-17.4.jar,lib/graphql-java-extended
 -scalars-17.1.jar,lib/java-dataloader-2.1.1.jar,lib/graphql-java-kick
 start-12.0.0.jar,lib/graphql-java-servlet-12.0.0.jar,lib/graphql-java
 -annotations-9.1.jar,lib/swagger-core-2.0.6.jar,lib/swagger-integrati
 on-2.0.6.jar,lib/swagger-jaxrs2-2.0.6.jar,lib/antlr4-runtime-4.9.2.ja
 r,lib/commons-lang3-3.8.jar,lib/hibernate-validator-6.1.5.Final.jar,l
 ib/javassist-3.23.1-GA.jar,lib/reactive-streams-1.0.2.jar,lib/reflect
 ions-0.9.11.jar,lib/snakeyaml-1.32.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Vulcan Implementation
Bundle-SymbolicName: com.liferay.portal.vulcan.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.76.hotfix-6666-7413
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.base;version="2.13",com.faster
 xml.jackson.core.format;version="2.13",com.fasterxml.jackson.core.io;
 version="2.13",com.fasterxml.jackson.core.json;version="2.13",com.fas
 terxml.jackson.core.type;version="2.13",com.fasterxml.jackson.core.ut
 il;version="2.13",com.fasterxml.jackson.databind;version="2.13",com.f
 asterxml.jackson.databind.annotation;version="2.13",com.fasterxml.jac
 kson.databind.cfg;version="2.13",com.fasterxml.jackson.databind.deser
 ;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.1
 3",com.fasterxml.jackson.databind.exc;version="2.13",com.fasterxml.ja
 ckson.databind.introspect;version="2.13",com.fasterxml.jackson.databi
 nd.jsonFormatVisitors;version="2.13",com.fasterxml.jackson.databind.j
 sontype;version="2.13",com.fasterxml.jackson.databind.jsontype.impl;v
 ersion="2.13",com.fasterxml.jackson.databind.module;version="2.13",co
 m.fasterxml.jackson.databind.node;version="2.13",com.fasterxml.jackso
 n.databind.ser;version="2.13",com.fasterxml.jackson.databind.ser.impl
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.fasterxml.jackson.jaxrs.base,co
 m.fasterxml.jackson.jaxrs.cfg,com.fasterxml.jackson.jaxrs.json;versio
 n="2.9",com.liferay.batch.engine;version="5.3",com.liferay.batch.engi
 ne.pagination;version="1.0",com.liferay.batch.engine.strategy;version
 ="1.0",com.liferay.depot.service;version="1.9",com.liferay.document.l
 ibrary.kernel.util;version="8.0",com.liferay.headless.batch.engine.dt
 o.v1_0;version="3.1",com.liferay.headless.batch.engine.resource.v1_0;
 version="8.0",com.liferay.osgi.service.tracker.collections.list;versi
 on="3.0",com.liferay.osgi.service.tracker.collections.map;version="2.
 3",com.liferay.osgi.util;version="2.3",com.liferay.petra.function;ver
 sion="1.5",com.liferay.petra.function.transform;version="1.2",com.lif
 eray.petra.io.unsync;version="1.0",com.liferay.petra.lang;version="1.
 3",com.liferay.petra.reflect;version="1.5",com.liferay.petra.string;v
 ersion="1.7",com.liferay.portal.configuration.metatype.annotations;ve
 rsion="1.6",com.liferay.portal.configuration.persistence.listener;ver
 sion="1.1",com.liferay.portal.kernel.bean;version="10.1",com.liferay.
 portal.kernel.change.tracking;version="2.2",com.liferay.portal.kernel
 .exception;version="13.1",com.liferay.portal.kernel.json;version="11.
 0",com.liferay.portal.kernel.language;version="11.0",com.liferay.port
 al.kernel.log;version="8.0",com.liferay.portal.kernel.model;version="
 28.2",com.liferay.portal.kernel.module.configuration;version="2.1",co
 m.liferay.portal.kernel.search;version="20.0",com.liferay.portal.kern
 el.search.filter;version="1.0",com.liferay.portal.kernel.security.aut
 h;version="6.0",com.liferay.portal.kernel.service;version="19.4",com.
 liferay.portal.kernel.servlet;version="11.2",com.liferay.portal.kerne
 l.template;version="14.1",com.liferay.portal.kernel.transaction;versi
 on="8.1",com.liferay.portal.kernel.util;version="56.0",com.liferay.po
 rtal.odata.entity;version="2.1",com.liferay.portal.odata.filter;versi
 on="1.1",com.liferay.portal.odata.filter.expression;version="2.3",com
 .liferay.portal.odata.sort;version="1.2",com.liferay.portal.spring.tr
 ansaction,com.liferay.portal.vulcan.accept.language;version="1.1",com
 .liferay.portal.vulcan.aggregation;version="2.0",com.liferay.portal.v
 ulcan.batch.engine;version="4.2",com.liferay.portal.vulcan.batch.engi
 ne.resource;version="1.0",com.liferay.portal.vulcan.dto.converter;ver
 sion="3.3",com.liferay.portal.vulcan.extension;version="4.0",com.life
 ray.portal.vulcan.extension.validation;version="1.0",com.liferay.port
 al.vulcan.fields;version="1.5",com.liferay.portal.vulcan.graphql.anno
 tation;version="1.2",com.liferay.portal.vulcan.graphql.contributor;ve
 rsion="2.1",com.liferay.portal.vulcan.graphql.dto;version="1.4",com.l
 iferay.portal.vulcan.graphql.dto.v1_0;version="1.0",com.liferay.porta
 l.vulcan.graphql.servlet;version="2.2",com.liferay.portal.vulcan.grap
 hql.validation;version="2.0",com.liferay.portal.vulcan.jaxrs.exceptio
 n.mapper;version="4.0",com.liferay.portal.vulcan.multipart;version="2
 .0",com.liferay.portal.vulcan.openapi;version="2.1",com.liferay.porta
 l.vulcan.openapi.contributor;version="2.0",com.liferay.portal.vulcan.
 pagination;version="1.4",com.liferay.portal.vulcan.resource;version="
 6.1",com.liferay.portal.vulcan.resource.locator;version="1.0",com.lif
 eray.portal.vulcan.status;version="1.0",com.liferay.portal.vulcan.uti
 l;version="10.0",io.swagger.v3.oas.annotations;version="2.0",io.swagg
 er.v3.oas.annotations.callbacks;version="2.0",io.swagger.v3.oas.annot
 ations.enums;version="2.0",io.swagger.v3.oas.annotations.extensions;v
 ersion="2.0",io.swagger.v3.oas.annotations.headers;version="2.0",io.s
 wagger.v3.oas.annotations.info;version="2.0",io.swagger.v3.oas.annota
 tions.links;version="2.0",io.swagger.v3.oas.annotations.media;version
 ="2.0",io.swagger.v3.oas.annotations.parameters;version="2.0",io.swag
 ger.v3.oas.annotations.responses;version="2.0",io.swagger.v3.oas.anno
 tations.security;version="2.0",io.swagger.v3.oas.annotations.servers;
 version="2.0",io.swagger.v3.oas.annotations.tags;version="2.0",io.swa
 gger.v3.oas.models;version="2.0",io.swagger.v3.oas.models.callbacks;v
 ersion="2.0",io.swagger.v3.oas.models.examples;version="2.0",io.swagg
 er.v3.oas.models.headers;version="2.0",io.swagger.v3.oas.models.info;
 version="2.0",io.swagger.v3.oas.models.links;version="2.0",io.swagger
 .v3.oas.models.media;version="2.0",io.swagger.v3.oas.models.parameter
 s;version="2.0",io.swagger.v3.oas.models.responses;version="2.0",io.s
 wagger.v3.oas.models.security;version="2.0",io.swagger.v3.oas.models.
 servers;version="2.0",io.swagger.v3.oas.models.tags;version="2.0",jav
 ax.activation,javax.annotation;version="1.3",javax.crypto,javax.crypt
 o.spec,javax.el,javax.persistence,javax.script,javax.security.auth,ja
 vax.servlet,javax.servlet.http,javax.validation;version="2.0",javax.v
 alidation.bootstrap;version="2.0",javax.validation.constraints;versio
 n="2.0",javax.validation.constraintvalidation;version="2.0",javax.val
 idation.executable;version="2.0",javax.validation.groups;version="2.0
 ",javax.validation.metadata;version="2.0",javax.validation.spi;versio
 n="2.0",javax.validation.valueextraction;version="2.0",javax.websocke
 t,javax.websocket.server,javax.ws.rs;version="2.1",javax.ws.rs.contai
 ner;version="2.1",javax.ws.rs.core;version="2.1",javax.ws.rs.ext;vers
 ion="2.1",javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.ann
 otation.adapters,javax.xml.namespace,javax.xml.parsers,javax.xml.stre
 am,javax.xml.stream.events,javax.xml.transform,javax.xml.transform.st
 ream,javax.xml.validation,org.apache.commons.fileupload;version="1.3"
 ,org.apache.commons.fileupload.disk;version="1.3",org.apache.commons.
 fileupload.servlet;version="1.3",org.apache.commons.fileupload.util;v
 ersion="1.3",org.apache.cxf.common.util;version="3.4",org.apache.cxf.
 interceptor;version="3.4",org.apache.cxf.jaxrs.ext;version="3.4",org.
 apache.cxf.jaxrs.impl;version="3.4",org.apache.cxf.jaxrs.lifecycle;ve
 rsion="3.4",org.apache.cxf.jaxrs.model;version="3.4",org.apache.cxf.j
 axrs.provider;version="3.4",org.apache.cxf.jaxrs.utils;version="3.4",
 org.apache.cxf.message;version="3.4",org.apache.cxf.phase;version="3.
 4",org.apache.cxf.validation;version="3.4",org.codehaus.stax2,org.cod
 ehaus.stax2.io,org.codehaus.stax2.ri,org.dom4j,org.dom4j.io,org.jboss
 .logging,org.osgi.framework;version="1.8",org.osgi.service.cm;version
 ="1.6",org.osgi.service.component.runtime;version="1.4",org.osgi.serv
 ice.component.runtime.dto;version="1.4",org.osgi.service.http.context
 ;version="1.0",org.osgi.util.promise;version="1.1",org.osgi.util.trac
 ker;version="1.5",org.slf4j,org.springframework.transaction.intercept
 or,org.w3c.dom,org.xml.sax,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Vulcan
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.vulcan.internal.accept.language,co
 m.liferay.portal.vulcan.internal.batch.engine,com.liferay.portal.vulc
 an.internal.batch.engine.resource,com.liferay.portal.vulcan.internal.
 configuration,com.liferay.portal.vulcan.internal.configuration.persis
 tence.listener,com.liferay.portal.vulcan.internal.configuration.util,
 com.liferay.portal.vulcan.internal.dto.converter,com.liferay.portal.v
 ulcan.internal.extension,com.liferay.portal.vulcan.internal.extension
 .util,com.liferay.portal.vulcan.internal.fields.servlet,com.liferay.p
 ortal.vulcan.internal.graphql.constants,com.liferay.portal.vulcan.int
 ernal.graphql.data.fetcher,com.liferay.portal.vulcan.internal.graphql
 .data.processor,com.liferay.portal.vulcan.internal.graphql.exception,
 com.liferay.portal.vulcan.internal.graphql.instrumentation,com.lifera
 y.portal.vulcan.internal.graphql.servlet,com.liferay.portal.vulcan.in
 ternal.graphql.util,com.liferay.portal.vulcan.internal.graphql.valida
 tion,com.liferay.portal.vulcan.internal.jackson.databind.ser,com.life
 ray.portal.vulcan.internal.jaxrs.container.request.filter,com.liferay
 .portal.vulcan.internal.jaxrs.container.response.filter,com.liferay.p
 ortal.vulcan.internal.jaxrs.context.provider,com.liferay.portal.vulca
 n.internal.jaxrs.context.resolver,com.liferay.portal.vulcan.internal.
 jaxrs.dynamic.feature,com.liferay.portal.vulcan.internal.jaxrs.except
 ion.mapper,com.liferay.portal.vulcan.internal.jaxrs.extension,com.lif
 eray.portal.vulcan.internal.jaxrs.feature,com.liferay.portal.vulcan.i
 nternal.jaxrs.message.body,com.liferay.portal.vulcan.internal.jaxrs.m
 essage.exchange,com.liferay.portal.vulcan.internal.jaxrs.param.conver
 ter.provider,com.liferay.portal.vulcan.internal.jaxrs.serializer,com.
 liferay.portal.vulcan.internal.jaxrs.validation,com.liferay.portal.vu
 lcan.internal.jaxrs.writer.interceptor,com.liferay.portal.vulcan.inte
 rnal.multipart,com.liferay.portal.vulcan.internal.param.converter,com
 .liferay.portal.vulcan.internal.param.converter.provider,com.liferay.
 portal.vulcan.internal.resource,com.liferay.portal.vulcan.internal.re
 source.locator,com.liferay.portal.vulcan.internal.template,com.lifera
 y.portal.vulcan.internal.template.servlet,lib,com.fasterxml.classmate
 ,com.fasterxml.classmate.members,com.fasterxml.classmate.types,com.fa
 sterxml.classmate.util,com.fasterxml.jackson.dataformat.xml,com.faste
 rxml.jackson.dataformat.xml.annotation,com.fasterxml.jackson.dataform
 at.xml.deser,com.fasterxml.jackson.dataformat.xml.jaxb,com.fasterxml.
 jackson.dataformat.xml.ser,com.fasterxml.jackson.dataformat.xml.util,
 com.fasterxml.jackson.dataformat.yaml,com.fasterxml.jackson.dataforma
 t.yaml.snakeyaml.error,com.fasterxml.jackson.datatype.jdk8,com.faster
 xml.jackson.jaxrs.xml,com.fasterxml.jackson.module.jaxb,com.fasterxml
 .jackson.module.jaxb.deser,com.fasterxml.jackson.module.jaxb.ser,com.
 google.common.util.concurrent.internal,com.google.common.annotations,
 com.google.common.base,com.google.common.base.internal,com.google.com
 mon.cache,com.google.common.collect,com.google.common.escape,com.goog
 le.common.eventbus,com.google.common.graph,com.google.common.hash,com
 .google.common.html,com.google.common.io,com.google.common.math,com.g
 oogle.common.net,com.google.common.primitives,com.google.common.refle
 ct,com.google.common.util.concurrent,com.google.common.xml,com.google
 .thirdparty.publicsuffix,graphql,graphql.analysis,graphql.cachecontro
 l,graphql.collect,graphql.com.google.common.base,graphql.com.google.c
 ommon.collect,graphql.com.google.common.math,graphql.com.google.commo
 n.primitives,graphql.execution,graphql.execution.directives,graphql.e
 xecution.instrumentation,graphql.execution.instrumentation.dataloader
 ,graphql.execution.instrumentation.fieldvalidation,graphql.execution.
 instrumentation.nextgen,graphql.execution.instrumentation.parameters,
 graphql.execution.instrumentation.threadpools,graphql.execution.instr
 umentation.tracing,graphql.execution.nextgen,graphql.execution.nextge
 n.result,graphql.execution.preparsed,graphql.execution.preparsed.pers
 isted,graphql.execution.reactive,graphql.introspection,graphql.langua
 ge,graphql.nextgen,graphql.normalized,graphql.parser,graphql.parser.a
 ntlr,graphql.relay,graphql.scalar,graphql.schema,graphql.schema.diff,
 graphql.schema.diff.reporting,graphql.schema.idl,graphql.schema.idl.e
 rrors,graphql.schema.impl,graphql.schema.transform,graphql.schema.val
 idation,graphql.schema.visibility,graphql.util,graphql.validation,gra
 phql.validation.rules,graphql.scalars,graphql.scalars.alias,graphql.s
 calars.datetime,graphql.scalars.java,graphql.scalars.locale,graphql.s
 calars.numeric,graphql.scalars.object,graphql.scalars.regex,graphql.s
 calars.url,graphql.scalars.util,org.dataloader,org.dataloader.impl,or
 g.dataloader.stats,graphql.kickstart.execution,graphql.kickstart.exec
 ution.config,graphql.kickstart.execution.context,graphql.kickstart.ex
 ecution.error,graphql.kickstart.execution.input,graphql.kickstart.exe
 cution.instrumentation,graphql.kickstart.execution.subscriptions,grap
 hql.kickstart.execution.subscriptions.apollo,graphql.kickstart.servle
 t,graphql.kickstart.servlet.apollo,graphql.kickstart.servlet.cache,gr
 aphql.kickstart.servlet.config,graphql.kickstart.servlet.context,grap
 hql.kickstart.servlet.core,graphql.kickstart.servlet.core.internal,gr
 aphql.kickstart.servlet.input,graphql.kickstart.servlet.osgi,graphql.
 kickstart.servlet.subscriptions,graphql.annotations,graphql.annotatio
 ns.annotationTypes,graphql.annotations.annotationTypes.directives.act
 ivation,graphql.annotations.annotationTypes.directives.definition,gra
 phql.annotations.connection,graphql.annotations.connection.exceptions
 ,graphql.annotations.connection.simple,graphql.annotations.dataFetche
 rs,graphql.annotations.dataFetchers.connection,graphql.annotations.di
 rectives,graphql.annotations.processor,graphql.annotations.processor.
 directives,graphql.annotations.processor.exceptions,graphql.annotatio
 ns.processor.graphQLProcessors,graphql.annotations.processor.retrieve
 rs,graphql.annotations.processor.retrievers.fieldBuilders,graphql.ann
 otations.processor.retrievers.fieldBuilders.field,graphql.annotations
 .processor.retrievers.fieldBuilders.method,graphql.annotations.proces
 sor.searchAlgorithms,graphql.annotations.processor.typeBuilders,graph
 ql.annotations.processor.typeFunctions,graphql.annotations.processor.
 util,graphql.annotations.strategies,graphql.annotations.typeResolvers
 ,io.swagger.v3.core.converter,io.swagger.v3.core.filter,io.swagger.v3
 .core.jackson,io.swagger.v3.core.jackson.mixin,io.swagger.v3.core.mod
 el,io.swagger.v3.core.util,io.swagger.v3.oas.integration,io.swagger.v
 3.oas.integration.api,io.swagger.v3.jaxrs2,io.swagger.v3.jaxrs2.ext,i
 o.swagger.v3.jaxrs2.integration,io.swagger.v3.jaxrs2.integration.api,
 io.swagger.v3.jaxrs2.integration.resources,io.swagger.v3.jaxrs2.util,
 org.antlr.v4.runtime,org.antlr.v4.runtime.atn,org.antlr.v4.runtime.df
 a,org.antlr.v4.runtime.misc,org.antlr.v4.runtime.tree,org.antlr.v4.ru
 ntime.tree.pattern,org.antlr.v4.runtime.tree.xpath,org.apache.commons
 .lang3,org.apache.commons.lang3.arch,org.apache.commons.lang3.builder
 ,org.apache.commons.lang3.concurrent,org.apache.commons.lang3.event,o
 rg.apache.commons.lang3.exception,org.apache.commons.lang3.math,org.a
 pache.commons.lang3.mutable,org.apache.commons.lang3.reflect,org.apac
 he.commons.lang3.text,org.apache.commons.lang3.text.translate,org.apa
 che.commons.lang3.time,org.apache.commons.lang3.tuple,org.hibernate.v
 alidator,org.hibernate.validator.cfg,org.hibernate.validator.cfg.cont
 ext,org.hibernate.validator.cfg.defs,org.hibernate.validator.cfg.defs
 .br,org.hibernate.validator.cfg.defs.pl,org.hibernate.validator.const
 raints,org.hibernate.validator.constraints.br,org.hibernate.validator
 .constraints.pl,org.hibernate.validator.constraints.time,org.hibernat
 e.validator.constraintvalidation,org.hibernate.validator.constraintva
 lidators,org.hibernate.validator.engine,org.hibernate.validator.group
 ,org.hibernate.validator.internal,org.hibernate.validator.internal.cf
 g.context,org.hibernate.validator.internal.constraintvalidators,org.h
 ibernate.validator.internal.constraintvalidators.bv,org.hibernate.val
 idator.internal.constraintvalidators.bv.money,org.hibernate.validator
 .internal.constraintvalidators.bv.notempty,org.hibernate.validator.in
 ternal.constraintvalidators.bv.number,org.hibernate.validator.interna
 l.constraintvalidators.bv.number.bound,org.hibernate.validator.intern
 al.constraintvalidators.bv.number.bound.decimal,org.hibernate.validat
 or.internal.constraintvalidators.bv.number.sign,org.hibernate.validat
 or.internal.constraintvalidators.bv.size,org.hibernate.validator.inte
 rnal.constraintvalidators.bv.time,org.hibernate.validator.internal.co
 nstraintvalidators.bv.time.future,org.hibernate.validator.internal.co
 nstraintvalidators.bv.time.futureorpresent,org.hibernate.validator.in
 ternal.constraintvalidators.bv.time.past,org.hibernate.validator.inte
 rnal.constraintvalidators.bv.time.pastorpresent,org.hibernate.validat
 or.internal.constraintvalidators.hv,org.hibernate.validator.internal.
 constraintvalidators.hv.br,org.hibernate.validator.internal.constrain
 tvalidators.hv.pl,org.hibernate.validator.internal.constraintvalidato
 rs.hv.time,org.hibernate.validator.internal.engine,org.hibernate.vali
 dator.internal.engine.constraintdefinition,org.hibernate.validator.in
 ternal.engine.constraintvalidation,org.hibernate.validator.internal.e
 ngine.groups,org.hibernate.validator.internal.engine.messageinterpola
 tion,org.hibernate.validator.internal.engine.messageinterpolation.el,
 org.hibernate.validator.internal.engine.messageinterpolation.parser,o
 rg.hibernate.validator.internal.engine.messageinterpolation.util,org.
 hibernate.validator.internal.engine.path,org.hibernate.validator.inte
 rnal.engine.resolver,org.hibernate.validator.internal.engine.scriptin
 g,org.hibernate.validator.internal.engine.validationcontext,org.hiber
 nate.validator.internal.engine.valuecontext,org.hibernate.validator.i
 nternal.engine.valueextraction,org.hibernate.validator.internal.metad
 ata,org.hibernate.validator.internal.metadata.aggregated,org.hibernat
 e.validator.internal.metadata.aggregated.rule,org.hibernate.validator
 .internal.metadata.core,org.hibernate.validator.internal.metadata.des
 criptor,org.hibernate.validator.internal.metadata.facets,org.hibernat
 e.validator.internal.metadata.location,org.hibernate.validator.intern
 al.metadata.provider,org.hibernate.validator.internal.metadata.raw,or
 g.hibernate.validator.internal.properties,org.hibernate.validator.int
 ernal.properties.javabean,org.hibernate.validator.internal.util,org.h
 ibernate.validator.internal.util.annotation,org.hibernate.validator.i
 nternal.util.classhierarchy,org.hibernate.validator.internal.util.log
 ging,org.hibernate.validator.internal.util.logging.formatter,org.hibe
 rnate.validator.internal.util.privilegedactions,org.hibernate.validat
 or.internal.util.stereotypes,org.hibernate.validator.internal.xml,org
 .hibernate.validator.internal.xml.config,org.hibernate.validator.inte
 rnal.xml.mapping,org.hibernate.validator.messageinterpolation,org.hib
 ernate.validator.metadata,org.hibernate.validator.parameternameprovid
 er,org.hibernate.validator.path,org.hibernate.validator.resourceloadi
 ng,org.hibernate.validator.spi.cfg,org.hibernate.validator.spi.group,
 org.hibernate.validator.spi.messageinterpolation,org.hibernate.valida
 tor.spi.nodenameprovider,org.hibernate.validator.spi.properties,org.h
 ibernate.validator.spi.resourceloading,org.hibernate.validator.spi.sc
 ripting,javassist,javassist.bytecode,javassist.bytecode.analysis,java
 ssist.bytecode.annotation,javassist.bytecode.stackmap,javassist.compi
 ler,javassist.compiler.ast,javassist.convert,javassist.expr,javassist
 .runtime,javassist.scopedpool,javassist.tools,javassist.tools.reflect
 ,javassist.tools.rmi,javassist.tools.web,javassist.util,javassist.uti
 l.proxy,org.reactivestreams,org.reflections,org.reflections.adapters,
 org.reflections.scanners,org.reflections.serializers,org.reflections.
 util,org.reflections.vfs,org.yaml.snakeyaml,org.yaml.snakeyaml.commen
 ts,org.yaml.snakeyaml.composer,org.yaml.snakeyaml.constructor,org.yam
 l.snakeyaml.emitter,org.yaml.snakeyaml.env,org.yaml.snakeyaml.error,o
 rg.yaml.snakeyaml.events,org.yaml.snakeyaml.extensions.compactnotatio
 n,org.yaml.snakeyaml.external.biz.base64Coder,org.yaml.snakeyaml.exte
 rnal.com.google.gdata.util.common.base,org.yaml.snakeyaml.introspecto
 r,org.yaml.snakeyaml.nodes,org.yaml.snakeyaml.parser,org.yaml.snakeya
 ml.reader,org.yaml.snakeyaml.representer,org.yaml.snakeyaml.resolver,
 org.yaml.snakeyaml.scanner,org.yaml.snakeyaml.serializer,org.yaml.sna
 keyaml.tokens,org.yaml.snakeyaml.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.template.
 TemplateContextContributor";uses:="com.liferay.portal.kernel.template
 ",osgi.service;objectClass:List<String>="com.liferay.portal.vulcan.ba
 tch.engine.VulcanBatchEngineTaskItemDelegateRegistry";uses:="com.life
 ray.portal.vulcan.batch.engine",osgi.service;objectClass:List<String>
 ="com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngineIm
 portTaskResource";uses:="com.liferay.portal.vulcan.batch.engine.resou
 rce",osgi.service;objectClass:List<String>="com.liferay.portal.vulcan
 .dto.converter.DTOConverterRegistry";uses:="com.liferay.portal.vulcan
 .dto.converter",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.vulcan.dto.converter.DTOMapper";uses:="com.liferay.portal.vulcan
 .dto.converter",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.vulcan.extension.ExtensionProviderRegistry";uses:="com.liferay.p
 ortal.vulcan.extension",osgi.service;objectClass:List<String>="com.li
 feray.portal.vulcan.internal.graphql.data.processor.GraphQLDTOContrib
 utorDataFetchingProcessor";uses:="com.liferay.portal.vulcan.internal.
 graphql.data.processor",osgi.service;objectClass:List<String>="com.li
 feray.portal.vulcan.internal.graphql.data.processor.LiferayMethodData
 FetchingProcessor";uses:="com.liferay.portal.vulcan.internal.graphql.
 data.processor",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.vulcan.resource.OpenAPIResource";uses:="com.liferay.portal.vulca
 n.resource",osgi.service;objectClass:List<String>="com.liferay.portal
 .vulcan.resource.locator.ResourceLocatorFactory";uses:="com.liferay.p
 ortal.vulcan.resource.locator",osgi.service;objectClass:List<String>=
 "graphql.annotations.processor.GraphQLAnnotationsComponent";uses:="gr
 aphql.annotations.processor",osgi.service;objectClass:List<String>="g
 raphql.annotations.processor.graphQLProcessors.GraphQLInputProcessor"
 ;uses:="graphql.annotations.processor.graphQLProcessors",osgi.service
 ;objectClass:List<String>="graphql.annotations.processor.graphQLProce
 ssors.GraphQLOutputProcessor";uses:="graphql.annotations.processor.gr
 aphQLProcessors",osgi.service;objectClass:List<String>="graphql.annot
 ations.processor.retrievers.GraphQLExtensionsHandler";uses:="graphql.
 annotations.processor.retrievers",osgi.service;objectClass:List<Strin
 g>="graphql.annotations.processor.retrievers.GraphQLFieldRetriever";u
 ses:="graphql.annotations.processor.retrievers",osgi.service;objectCl
 ass:List<String>="graphql.annotations.processor.retrievers.GraphQLInt
 erfaceRetriever";uses:="graphql.annotations.processor.retrievers",osg
 i.service;objectClass:List<String>="graphql.annotations.processor.ret
 rievers.GraphQLObjectHandler";uses:="graphql.annotations.processor.re
 trievers",osgi.service;objectClass:List<String>="graphql.annotations.
 processor.retrievers.GraphQLObjectInfoRetriever";uses:="graphql.annot
 ations.processor.retrievers",osgi.service;objectClass:List<String>="g
 raphql.annotations.processor.retrievers.GraphQLTypeRetriever";uses:="
 graphql.annotations.processor.retrievers",osgi.service;objectClass:Li
 st<String>="graphql.annotations.processor.searchAlgorithms.SearchAlgo
 rithm";uses:="graphql.annotations.processor.searchAlgorithms",osgi.se
 rvice;objectClass:List<String>="graphql.annotations.processor.typeFun
 ctions.TypeFunction";uses:="graphql.annotations.processor.typeFunctio
 ns",osgi.service;objectClass:List<String>="graphql.annotations.proces
 sor.util.DataFetcherConstructor";uses:="graphql.annotations.processor
 .util",osgi.service;objectClass:List<String>="javax.servlet.Servlet,j
 avax.servlet.http.HttpServlet";uses:="javax.servlet,javax.servlet.htt
 p",osgi.service;objectClass:List<String>="javax.ws.rs.core.Feature";u
 ses:="javax.ws.rs.core"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.dep
 ot.service.DepotEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.util.DLValida
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.headless.batch.engine.resource.v1_0.ImportTaskResource)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 json.JSONFactory)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.language.Language)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.module.con
 figuration.ConfigurationProvider)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.CompanyLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.GroupLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.service.Resourc
 eActionLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.ResourcePermissionLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.RoleLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.UserLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.util.Portal)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.odata.filter.ExpressionConvert)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.odata.filter.FilterParserProvider)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.odata.sort.SortParserProvid
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.vulcan.batch.engine.resource.VulcanBatchEngineImportTaskResou
 rce)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.vulcan.dto.converter.DTOConverterRegistry)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.vulcan.extens
 ion.ExtensionProviderRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.vulcan.internal.graphql.data.proce
 ssor.GraphQLDTOContributorDataFetchingProcessor)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.vulcan.internal.
 graphql.data.processor.LiferayMethodDataFetchingProcessor)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.vulcan
 .resource.locator.ResourceLocatorFactory)";effective:=active,osgi.ser
 vice;filter:="(objectClass=graphql.annotations.processor.graphQLProce
 ssors.GraphQLInputProcessor)";effective:=active,osgi.service;filter:=
 "(objectClass=graphql.annotations.processor.graphQLProcessors.GraphQL
 OutputProcessor)";effective:=active,osgi.service;filter:="(objectClas
 s=graphql.annotations.processor.retrievers.GraphQLExtensionsHandler)"
 ;effective:=active,osgi.service;filter:="(objectClass=graphql.annotat
 ions.processor.retrievers.GraphQLExtensionsHandler)";effective:=activ
 e;resolution:=optional,osgi.service;filter:="(objectClass=graphql.ann
 otations.processor.retrievers.GraphQLFieldRetriever)";effective:=acti
 ve,osgi.service;filter:="(objectClass=graphql.annotations.processor.r
 etrievers.GraphQLFieldRetriever)";effective:=active;resolution:=optio
 nal,osgi.service;filter:="(objectClass=graphql.annotations.processor.
 retrievers.GraphQLInterfaceRetriever)";effective:=active;resolution:=
 optional,osgi.service;filter:="(objectClass=graphql.annotations.proce
 ssor.retrievers.GraphQLObjectInfoRetriever)";effective:=active,osgi.s
 ervice;filter:="(objectClass=graphql.annotations.processor.retrievers
 .GraphQLObjectInfoRetriever)";effective:=active;resolution:=optional,
 osgi.service;filter:="(objectClass=graphql.annotations.processor.retr
 ievers.GraphQLTypeRetriever)";effective:=active,osgi.service;filter:=
 "(objectClass=graphql.annotations.processor.searchAlgorithms.SearchAl
 gorithm)";effective:=active,osgi.service;filter:="(objectClass=graphq
 l.annotations.processor.searchAlgorithms.SearchAlgorithm)";effective:
 =active;resolution:=optional,osgi.service;filter:="(objectClass=graph
 ql.annotations.processor.typeFunctions.TypeFunction)";effective:=acti
 ve,osgi.service;filter:="(objectClass=graphql.annotations.processor.t
 ypeFunctions.TypeFunction)";effective:=active;resolution:=optional;ca
 rdinality:=multiple,osgi.service;filter:="(objectClass=graphql.annota
 tions.processor.util.DataFetcherConstructor)";effective:=active,osgi.
 service;filter:="(objectClass=graphql.execution.preparsed.PreparsedDo
 cumentProvider)";effective:=active;resolution:=optional,osgi.service;
 filter:="(objectClass=graphql.kickstart.execution.config.ExecutionStr
 ategyProvider)";effective:=active;resolution:=optional,osgi.service;f
 ilter:="(objectClass=graphql.kickstart.execution.config.Instrumentati
 onProvider)";effective:=active;resolution:=optional,osgi.service;filt
 er:="(objectClass=graphql.kickstart.execution.error.GraphQLErrorHandl
 er)";effective:=active;resolution:=optional,osgi.service;filter:="(ob
 jectClass=graphql.kickstart.servlet.context.GraphQLServletContextBuil
 der)";effective:=active;resolution:=optional,osgi.service;filter:="(o
 bjectClass=graphql.kickstart.servlet.core.GraphQLServletListener)";ef
 fective:=active;resolution:=optional;cardinality:=multiple,osgi.servi
 ce;filter:="(objectClass=graphql.kickstart.servlet.core.GraphQLServle
 tRootObjectBuilder)";effective:=active;resolution:=optional,osgi.serv
 ice;filter:="(objectClass=graphql.kickstart.servlet.osgi.GraphQLCodeR
 egistryProvider)";effective:=active;resolution:=optional,osgi.service
 ;filter:="(objectClass=graphql.kickstart.servlet.osgi.GraphQLMutation
 Provider)";effective:=active;resolution:=optional;cardinality:=multip
 le,osgi.service;filter:="(objectClass=graphql.kickstart.servlet.osgi.
 GraphQLProvider)";effective:=active;resolution:=optional;cardinality:
 =multiple,osgi.service;filter:="(objectClass=graphql.kickstart.servle
 t.osgi.GraphQLQueryProvider)";effective:=active;resolution:=optional;
 cardinality:=multiple,osgi.service;filter:="(objectClass=graphql.kick
 start.servlet.osgi.GraphQLSubscriptionProvider)";effective:=active;re
 solution:=optional;cardinality:=multiple,osgi.service;filter:="(objec
 tClass=graphql.kickstart.servlet.osgi.GraphQLTypesProvider)";effectiv
 e:=active;resolution:=optional;cardinality:=multiple,osgi.service;fil
 ter:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)";effective
 :=active,osgi.service;filter:="(objectClass=org.osgi.service.componen
 t.runtime.ServiceComponentRuntime)";effective:=active,osgi.extender;f
 ilter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2
 .0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.con
 tract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaS
 E)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.vulcan.internal.batch.e
 ngine.VulcanBatchEngineTaskItemDelegateAdaptorFactory.xml,OSGI-INF/co
 m.liferay.portal.vulcan.internal.batch.engine.VulcanBatchEngineTaskIt
 emDelegateRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.interna
 l.batch.engine.resource.VulcanBatchEngineImportTaskResourceImpl.xml,O
 SGI-INF/com.liferay.portal.vulcan.internal.configuration.persistence.
 listener.VulcanCompanyConfigurationModelListener.xml,OSGI-INF/com.lif
 eray.portal.vulcan.internal.configuration.persistence.listener.Vulcan
 ConfigurationModelListener.xml,OSGI-INF/com.liferay.portal.vulcan.int
 ernal.dto.converter.DTOConverterRegistryImpl.xml,OSGI-INF/com.liferay
 .portal.vulcan.internal.dto.converter.DTOMapperImpl.xml,OSGI-INF/com.
 liferay.portal.vulcan.internal.extension.ExtensionProviderRegistryImp
 l.xml,OSGI-INF/com.liferay.portal.vulcan.internal.graphql.data.proces
 sor.GraphQLDTOContributorDataFetchingProcessor.xml,OSGI-INF/com.lifer
 ay.portal.vulcan.internal.graphql.data.processor.LiferayMethodDataFet
 chingProcessor.xml,OSGI-INF/com.liferay.portal.vulcan.internal.graphq
 l.servlet.GraphQLServletExtender.xml,OSGI-INF/com.liferay.portal.vulc
 an.internal.jaxrs.feature.VulcanFeature.xml,OSGI-INF/com.liferay.port
 al.vulcan.internal.jaxrs.feature.VulcanFilterFeature.xml,OSGI-INF/com
 .liferay.portal.vulcan.internal.resource.OpenAPIResourceImpl.xml,OSGI
 -INF/com.liferay.portal.vulcan.internal.resource.locator.ResourceLoca
 torFactoryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.internal.templa
 te.RESTClientTemplateContextContributor.xml,OSGI-INF/com.liferay.port
 al.vulcan.internal.template.ResourceLocatorTemplateContextContributor
 .xml
Tool: Bnd-4.3.0.201909301554

